## ros-humble-class-loader 2.2.0

=== debian/changelog ===
ros-humble-class-loader (2.2.0-3bookworm) bookworm; urgency=high

  * Install includes to include/ (#191 <https://github.com/ros/class_loader/issues/191>)
  * Fix include order for cpplint (#192 <https://github.com/ros/class_loader/issues/192>)
  * Update maintainers to Geoffrey Biggs and Michael Carroll (#190 <https://github.com/ros/class_loader/issues/190>)
  * Fix spelling mistake (#184 <https://github.com/ros/class_loader/issues/184>)
  * Contributors: Audrow Nash, David V. Lu!!, Jacob Perron, Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-class-loader (2.1.2-3bookworm) bookworm; urgency=high

  * Remove travis. (#182 <https://github.com/ros/class_loader/issues/182>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-humble-class-loader (2.1.1-3bookworm) bookworm; urgency=high

  * Change index.ros.org -> docs.ros.org. (#181 <https://github.com/ros/class_loader/issues/181>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-class-loader (2.1.0-3bookworm) bookworm; urgency=high

  * Fix ternary null check found by clang static analysis (#176 <https://github.com/ros/class_loader/issues/176>)
  * Update QD to QL 1 (#177 <https://github.com/ros/class_loader/issues/177>)
  * Updated console_bridge QL in QD
  * Update package maintainers. (#169 <https://github.com/ros/class_loader/issues/169>)
  * enable building a static library (#163 <https://github.com/ros/class_loader/issues/163>)
  * Update Quality Declaration to reflect QL 2 (#160 <https://github.com/ros/class_loader/issues/160>).
  * Increase coverage with a graveyard behavior test and unmanaged instance test (#159 <https://github.com/ros/class_loader/issues/159>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#157 <https://github.com/ros/class_loader/issues/157>)
  * Clean up and improve documentation (#156 <https://github.com/ros/class_loader/issues/156>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Michel Hidalgo, Stephen Brawner, ahcorde, brawner

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-class-loader (2.0.1-3bookworm) bookworm; urgency=high

  * Added QD to doxygen related pages (#155 <https://github.com/ros/class_loader/issues/155>)
  * Updated class_loader QD (#152 <https://github.com/ros/class_loader/issues/152>)
  * fix copy and paste error (#154 <https://github.com/ros/class_loader/issues/154>)
  * Fixed warning (#151 <https://github.com/ros/class_loader/issues/151>)
  * Increased code coverage (#141 <https://github.com/ros/class_loader/issues/141>)
  * Added Doxyfile (#148 <https://github.com/ros/class_loader/issues/148>)
  * Added quality declaration draft (#142 <https://github.com/ros/class_loader/issues/142>)
  * Contributors: Alejandro Hernández Cordero, Tully Foote

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-class-loader (2.0.0-3bookworm) bookworm; urgency=high

  * Export CMake targets in a addition to include directories / libraries. (#147 <https://github.com/ros/class_loader/issues/147>)
  * Fixed references to poco in error strings. (#144 <https://github.com/ros/class_loader/issues/144>)
  * Removed poco dependency. Shared library management is now provided by rcpputils. (#139 <https://github.com/ros/class_loader/issues/139>)
  * Add missing LICENSE file, matching 3-clause BSD (#137 <https://github.com/ros/class_loader/issues/137>)
  * Code style change: wrap after open parenthesis if not in one line (#138 <https://github.com/ros/class_loader/issues/138>)
  * Fix Travis on macOS. (#135 <https://github.com/ros/class_loader/issues/135>)
  * Use .empty() to check for an empty string. (#132 <https://github.com/ros/class_loader/issues/132>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Jorge Perez

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 24 Apr 2020 16:00:00 -0000

ros-humble-class-loader (1.4.0-3bookworm) bookworm; urgency=high

  * Fixed setting AbstractMetaObjectBase base class typeid. (#127 <https://github.com/nuclearsandwich/class_loader/issues/127>)
  * Corrected export of class_loader library. (#129 <https://github.com/nuclearsandwich/class_loader/issues/129>)
  * Reduced the number of threads spun up in stress test. (#128 <https://github.com/nuclearsandwich/class_loader/issues/128>)
  * Contributors: Emerson Knapp, Shane Loretz, bpwilcox

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 17 Sep 2019 16:00:00 -0000

ros-humble-class-loader (1.3.1-3bookworm) bookworm; urgency=high

  * Using ament_target_dependencies when possible (#124 <https://github.com/ros/class_loader/issues/124>)
  * Contributors: ivanpauno

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-humble-class-loader (1.3.0-3bookworm) bookworm; urgency=high

  * Updated test configuration to check copyright of files where possible. (#123 <https://github.com/ros/class_loader/issues/123>)
  * Updated to use ament_target_dependencies where possible. (#121 <https://github.com/ros/class_loader/issues/121>)
  * Contributors: ivanpauno, jpsamper2009

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 11 Apr 2019 16:00:00 -0000

ros-humble-class-loader (1.2.0-3bookworm) bookworm; urgency=high

  * Updated maintainer to Steven! Ragnarok the maintainer (#107 <https://github.com/ros/class_loader/issues/107>)
  * Added free impl_ in AbstractMetaObjectBase destructor (#103 <https://github.com/ros/class_loader/issues/103>)
  * Overhauled CI.u (#106 <https://github.com/ros/class_loader/issues/106>)
  * Fixed spacing to comply with uncrusity 0.67 (#99 <https://github.com/ros/class_loader/issues/99>)
  * Updated to use console_bridge_vendor (#98 <https://github.com/ros/class_loader/issues/98>)
  * Contributors: Chris Ye, Mikael Arguedas


